Get sync job details
Returns full details of a specific CRM sync job.
curl -X GET "https://api.sendkit.ai/v1/integrations/crm/jobs/example_string" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/integrations/crm/jobs/example_string"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/integrations/crm/jobs/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/integrations/crm/jobs/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/integrations/crm/jobs/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "69c10b1b1b48d8364dc10845",
"crmType": "airtable",
"jobType": "push",
"status": "completed",
"entityType": "people",
"externalJobId": "8d8fae18-1463-4eaa",
"totalRecords": 1,
"processedRecords": 1,
"failedRecords": 0,
"progress": 100,
"importedCount": 0,
"pushedCount": 1,
"errors": [],
"errorsCount": 0,
"createdAt": "2026-03-23T09:42:51.508Z",
"completedAt": "2026-03-23T09:43:02.000Z"
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
GET
/v1/integrations/crm/jobs/{jobId}GET
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
jobIdstring
RequiredCRM sync job ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Path Parameters
jobIdstring
RequiredCRM sync job ID
Responses
successboolean
dataobject
idstring
crmTypestring
Allowed values:
attiohubspotpipedriveairtablesalesforcesupabasejobTypestring
Allowed values:
pullpushstatusstring
Allowed values:
pendingprocessingcompletedfailedentityTypestring
Allowed values:
peoplecompanyexternalJobIdstring
totalRecordsinteger
processedRecordsinteger
failedRecordsinteger
progressinteger
Progress percentage (0-100)
importedCountinteger
Number of leads imported (pull jobs)
pushedCountinteger
Number of leads pushed (push jobs)
errorsarray
emailstring
messagestring
errorsCountinteger
createdAtstring
completedAtstring
successboolean
errorobject
codestring
messagestring
Was this page helpful?
Last updated 4 days ago
Built with Documentation.AI